gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.ConstraintTarget

Contents

- Exported types
- Methods

Description

Makes it possible to use an object as source or target in a `Constraint`.

Besides `GtkWidget`, it is also implemented by `GtkConstraintGuide`.

Synopsis

- newtype ConstraintTarget = ConstraintTarget (ManagedPtr ConstraintTarget)
- class (GObject o, IsDescendantOf ConstraintTarget o) => IsConstraintTarget o
- toConstraintTarget :: (MonadIO m, IsConstraintTarget o) => o -> m ConstraintTarget

# Exported types

newtype ConstraintTarget Source #

Memory-managed wrapper type.

Constructors

ConstraintTarget (ManagedPtr ConstraintTarget) |

#### Instances

Instances details

Eq ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget Methods (==) :: ConstraintTarget -> ConstraintTarget -> Bool Source # (/=) :: ConstraintTarget -> ConstraintTarget -> Bool Source #
GObject ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget
ManagedPtrNewtype ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget Methods toManagedPtr :: ConstraintTarget -> ManagedPtr ConstraintTarget Source #
TypedObject ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget Methods glibType :: IO GType Source #
HasParentTypes ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget
IsGValue (Maybe ConstraintTarget) Source # | Convert `ConstraintTarget` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ConstraintTarget -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ConstraintTarget) Source #
type ParentTypes ConstraintTarget Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget type ParentTypes ConstraintTarget = '[Object]

class (GObject o, IsDescendantOf ConstraintTarget o) => IsConstraintTarget o Source #

Type class for types which can be safely cast to `ConstraintTarget`, for instance with `toConstraintTarget`.

#### Instances

Instances details

(GObject o, IsDescendantOf ConstraintTarget o) => IsConstraintTarget o Source # |
Instance details Defined in GI.Gtk.Interfaces.ConstraintTarget

toConstraintTarget :: (MonadIO m, IsConstraintTarget o) => o -> m ConstraintTarget Source #

Cast to `ConstraintTarget`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.